<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:10 CEST 2007 -->
<TITLE>
PinView
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PinView";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PinView.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../gui/chess/trid/HelpScreen.html" title="class in gui.chess.trid"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../gui/chess/trid/TriDBoardView.html" title="class in gui.chess.trid"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?gui/chess/trid/PinView.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PinView.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_java.awt.Canvas">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
gui.chess.trid</FONT>
<BR>
Class PinView</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true" title="class or interface in java.awt">java.awt.Component</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true" title="class or interface in java.awt">java.awt.Canvas</A>
          <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>gui.chess.trid.PinView</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true" title="class or interface in java.awt.image">ImageObserver</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/MenuContainer.html?is-external=true" title="class or interface in java.awt">MenuContainer</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/javax/accessibility/Accessible.html?is-external=true" title="class or interface in javax.accessibility">Accessible</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>PinView</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true" title="class or interface in java.awt">Canvas</A></DL>
</PRE>

<P>
<p>
 A PinView is a Canvas Component that shows a pin of a Tri-D chess board.
 </p>
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#gui.chess.trid.PinView">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_java.awt.Canvas"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class java.awt.<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true" title="class or interface in java.awt">Canvas</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.AccessibleAWTCanvas.html?is-external=true" title="class or interface in java.awt">Canvas.AccessibleAWTCanvas</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_java.awt.Component"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class java.awt.<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true" title="class or interface in java.awt">Component</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.AccessibleAWTComponent.html?is-external=true" title="class or interface in java.awt">Component.AccessibleAWTComponent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.BaselineResizeBehavior.html?is-external=true" title="class or interface in java.awt">Component.BaselineResizeBehavior</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.BltBufferStrategy.html?is-external=true" title="class or interface in java.awt">Component.BltBufferStrategy</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.FlipBufferStrategy.html?is-external=true" title="class or interface in java.awt">Component.FlipBufferStrategy</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#ALLOWED_SHADE">ALLOWED_SHADE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Highlighting used for a pin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#b">b</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The pin's position on the board.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#FORBIDDEN_SHADE">FORBIDDEN_SHADE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Highlighting used for a pin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#g">g</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The pin's position on the screen grid.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#isGhost">isGhost</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Flag if a pin is active or not.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#NO_SHADE">NO_SHADE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Highlighting used for a pin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#ref">ref</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The board's position on the screen.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#screenX">screenX</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The board's x position on the screen.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#screenY">screenY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The board's y position on the screen.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#SELECTED_SHADE">SELECTED_SHADE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Highlighting used for a pin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#shade">shade</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The highlight type currently set.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#ui">ui</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reference to the user interface configuration.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.awt.Component"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.awt.<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true" title="class or interface in java.awt">Component</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#BOTTOM_ALIGNMENT" title="class or interface in java.awt">BOTTOM_ALIGNMENT</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#CENTER_ALIGNMENT" title="class or interface in java.awt">CENTER_ALIGNMENT</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#LEFT_ALIGNMENT" title="class or interface in java.awt">LEFT_ALIGNMENT</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#RIGHT_ALIGNMENT" title="class or interface in java.awt">RIGHT_ALIGNMENT</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#TOP_ALIGNMENT" title="class or interface in java.awt">TOP_ALIGNMENT</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.awt.image.ImageObserver"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface java.awt.image.<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true" title="class or interface in java.awt.image">ImageObserver</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#ABORT" title="class or interface in java.awt.image">ABORT</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#ALLBITS" title="class or interface in java.awt.image">ALLBITS</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#ERROR" title="class or interface in java.awt.image">ERROR</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#FRAMEBITS" title="class or interface in java.awt.image">FRAMEBITS</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#HEIGHT" title="class or interface in java.awt.image">HEIGHT</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#PROPERTIES" title="class or interface in java.awt.image">PROPERTIES</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#SOMEBITS" title="class or interface in java.awt.image">SOMEBITS</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/image/ImageObserver.html?is-external=true#WIDTH" title="class or interface in java.awt.image">WIDTH</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#PinView(int[], java.awt.Point, java.awt.Point)">PinView</A></B>(int[]&nbsp;posB,
        <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;posG,
        <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;ref)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Construction of a permanently visible pin with position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#PinView(int[], java.awt.Point, java.awt.Point, boolean)">PinView</A></B>(int[]&nbsp;posB,
        <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;posG,
        <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;ref,
        boolean&nbsp;ghost)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Construction of pin with position.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#calculateScreenPos()">calculateScreenPos</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calculates new position on the paint device for paint method's Graphics
 object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#contains(java.awt.Point)">contains</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Works only on none ghost pins.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#containsForAll(java.awt.Point)">containsForAll</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Does also work for ghost pins.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#getBoardPos()">getBoardPos</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the pin's board position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#getGridPos()">getGridPos</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the pin's grid position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#getRefPos()">getRefPos</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the board's screen position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#getScreenX()">getScreenX</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#getScreenY()">getScreenY</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#getShade()">getShade</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#isGhost()">isGhost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#paint(java.awt.Graphics)">paint</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Graphics.html?is-external=true" title="class or interface in java.awt">Graphics</A>&nbsp;g)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setBoardPos(int[])">setBoardPos</A></B>(int[]&nbsp;pos)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets a new position of the pin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setGhost(boolean)">setGhost</A></B>(boolean&nbsp;isGhost)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setGridPos(java.awt.Point)">setGridPos</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;pos)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets a new position of the pin.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setRefPos(java.awt.Point)">setRefPos</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;ref)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets a new position of the board on graphics device.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setShade(int)">setShade</A></B>(int&nbsp;shade)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the current highlight type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setSize(java.awt.Dimension)">setSize</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Dimension.html?is-external=true" title="class or interface in java.awt">Dimension</A>&nbsp;d)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../gui/chess/trid/PinView.html#setUi(gui.chess.ChessUi)">setUi</A></B>(<A HREF="../../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A>&nbsp;ui)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the ChessUi class for providing the current color scheme.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.awt.Canvas"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.awt.<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true" title="class or interface in java.awt">Canvas</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#addNotify()" title="class or interface in java.awt">addNotify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#createBufferStrategy(int)" title="class or interface in java.awt">createBufferStrategy</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#createBufferStrategy(int, java.awt.BufferCapabilities)" title="class or interface in java.awt">createBufferStrategy</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#getAccessibleContext()" title="class or interface in java.awt">getAccessibleContext</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#getBufferStrategy()" title="class or interface in java.awt">getBufferStrategy</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#update(java.awt.Graphics)" title="class or interface in java.awt">update</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.awt.Component"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.awt.<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true" title="class or interface in java.awt">Component</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#action(java.awt.Event, java.lang.Object)" title="class or interface in java.awt">action</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#add(java.awt.PopupMenu)" title="class or interface in java.awt">add</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addComponentListener(java.awt.event.ComponentListener)" title="class or interface in java.awt">addComponentListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addFocusListener(java.awt.event.FocusListener)" title="class or interface in java.awt">addFocusListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener)" title="class or interface in java.awt">addHierarchyBoundsListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addHierarchyListener(java.awt.event.HierarchyListener)" title="class or interface in java.awt">addHierarchyListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addInputMethodListener(java.awt.event.InputMethodListener)" title="class or interface in java.awt">addInputMethodListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addKeyListener(java.awt.event.KeyListener)" title="class or interface in java.awt">addKeyListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addMouseListener(java.awt.event.MouseListener)" title="class or interface in java.awt">addMouseListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addMouseMotionListener(java.awt.event.MouseMotionListener)" title="class or interface in java.awt">addMouseMotionListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addMouseWheelListener(java.awt.event.MouseWheelListener)" title="class or interface in java.awt">addMouseWheelListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addPropertyChangeListener(java.beans.PropertyChangeListener)" title="class or interface in java.awt">addPropertyChangeListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#addPropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)" title="class or interface in java.awt">addPropertyChangeListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#applyComponentOrientation(java.awt.ComponentOrientation)" title="class or interface in java.awt">applyComponentOrientation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#areFocusTraversalKeysSet(int)" title="class or interface in java.awt">areFocusTraversalKeysSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#bounds()" title="class or interface in java.awt">bounds</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#checkImage(java.awt.Image, java.awt.image.ImageObserver)" title="class or interface in java.awt">checkImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#checkImage(java.awt.Image, int, int, java.awt.image.ImageObserver)" title="class or interface in java.awt">checkImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#coalesceEvents(java.awt.AWTEvent, java.awt.AWTEvent)" title="class or interface in java.awt">coalesceEvents</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#contains(int, int)" title="class or interface in java.awt">contains</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#createImage(java.awt.image.ImageProducer)" title="class or interface in java.awt">createImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#createImage(int, int)" title="class or interface in java.awt">createImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#createVolatileImage(int, int)" title="class or interface in java.awt">createVolatileImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#createVolatileImage(int, int, java.awt.ImageCapabilities)" title="class or interface in java.awt">createVolatileImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#deliverEvent(java.awt.Event)" title="class or interface in java.awt">deliverEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#disable()" title="class or interface in java.awt">disable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#disableEvents(long)" title="class or interface in java.awt">disableEvents</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#dispatchEvent(java.awt.AWTEvent)" title="class or interface in java.awt">dispatchEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#doLayout()" title="class or interface in java.awt">doLayout</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#enable()" title="class or interface in java.awt">enable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#enable(boolean)" title="class or interface in java.awt">enable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#enableEvents(long)" title="class or interface in java.awt">enableEvents</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#enableInputMethods(boolean)" title="class or interface in java.awt">enableInputMethods</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, boolean, boolean)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, byte, byte)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, char, char)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, double, double)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, float, float)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, int, int)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, long, long)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#firePropertyChange(java.lang.String, short, short)" title="class or interface in java.awt">firePropertyChange</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getAlignmentX()" title="class or interface in java.awt">getAlignmentX</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getAlignmentY()" title="class or interface in java.awt">getAlignmentY</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getBackground()" title="class or interface in java.awt">getBackground</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getBaseline(int, int)" title="class or interface in java.awt">getBaseline</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getBaselineResizeBehavior()" title="class or interface in java.awt">getBaselineResizeBehavior</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getBounds()" title="class or interface in java.awt">getBounds</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getBounds(java.awt.Rectangle)" title="class or interface in java.awt">getBounds</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getColorModel()" title="class or interface in java.awt">getColorModel</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getComponentAt(int, int)" title="class or interface in java.awt">getComponentAt</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getComponentAt(java.awt.Point)" title="class or interface in java.awt">getComponentAt</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getComponentListeners()" title="class or interface in java.awt">getComponentListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getComponentOrientation()" title="class or interface in java.awt">getComponentOrientation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getCursor()" title="class or interface in java.awt">getCursor</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getDropTarget()" title="class or interface in java.awt">getDropTarget</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getFocusCycleRootAncestor()" title="class or interface in java.awt">getFocusCycleRootAncestor</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getFocusListeners()" title="class or interface in java.awt">getFocusListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getFocusTraversalKeys(int)" title="class or interface in java.awt">getFocusTraversalKeys</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getFocusTraversalKeysEnabled()" title="class or interface in java.awt">getFocusTraversalKeysEnabled</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getFont()" title="class or interface in java.awt">getFont</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getFontMetrics(java.awt.Font)" title="class or interface in java.awt">getFontMetrics</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getForeground()" title="class or interface in java.awt">getForeground</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getGraphics()" title="class or interface in java.awt">getGraphics</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getGraphicsConfiguration()" title="class or interface in java.awt">getGraphicsConfiguration</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getHeight()" title="class or interface in java.awt">getHeight</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getHierarchyBoundsListeners()" title="class or interface in java.awt">getHierarchyBoundsListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getHierarchyListeners()" title="class or interface in java.awt">getHierarchyListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getIgnoreRepaint()" title="class or interface in java.awt">getIgnoreRepaint</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getInputContext()" title="class or interface in java.awt">getInputContext</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getInputMethodListeners()" title="class or interface in java.awt">getInputMethodListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getInputMethodRequests()" title="class or interface in java.awt">getInputMethodRequests</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getKeyListeners()" title="class or interface in java.awt">getKeyListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getListeners(java.lang.Class)" title="class or interface in java.awt">getListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getLocale()" title="class or interface in java.awt">getLocale</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getLocation()" title="class or interface in java.awt">getLocation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getLocation(java.awt.Point)" title="class or interface in java.awt">getLocation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getLocationOnScreen()" title="class or interface in java.awt">getLocationOnScreen</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getMaximumSize()" title="class or interface in java.awt">getMaximumSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getMinimumSize()" title="class or interface in java.awt">getMinimumSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getMouseListeners()" title="class or interface in java.awt">getMouseListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getMouseMotionListeners()" title="class or interface in java.awt">getMouseMotionListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getMousePosition()" title="class or interface in java.awt">getMousePosition</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getMouseWheelListeners()" title="class or interface in java.awt">getMouseWheelListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getName()" title="class or interface in java.awt">getName</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getParent()" title="class or interface in java.awt">getParent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getPeer()" title="class or interface in java.awt">getPeer</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getPreferredSize()" title="class or interface in java.awt">getPreferredSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getPropertyChangeListeners()" title="class or interface in java.awt">getPropertyChangeListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getPropertyChangeListeners(java.lang.String)" title="class or interface in java.awt">getPropertyChangeListeners</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getSize()" title="class or interface in java.awt">getSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getSize(java.awt.Dimension)" title="class or interface in java.awt">getSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getToolkit()" title="class or interface in java.awt">getToolkit</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getTreeLock()" title="class or interface in java.awt">getTreeLock</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getWidth()" title="class or interface in java.awt">getWidth</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getX()" title="class or interface in java.awt">getX</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#getY()" title="class or interface in java.awt">getY</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#gotFocus(java.awt.Event, java.lang.Object)" title="class or interface in java.awt">gotFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#handleEvent(java.awt.Event)" title="class or interface in java.awt">handleEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#hasFocus()" title="class or interface in java.awt">hasFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#hide()" title="class or interface in java.awt">hide</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#imageUpdate(java.awt.Image, int, int, int, int, int)" title="class or interface in java.awt">imageUpdate</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#inside(int, int)" title="class or interface in java.awt">inside</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#invalidate()" title="class or interface in java.awt">invalidate</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isBackgroundSet()" title="class or interface in java.awt">isBackgroundSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isCursorSet()" title="class or interface in java.awt">isCursorSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isDisplayable()" title="class or interface in java.awt">isDisplayable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isDoubleBuffered()" title="class or interface in java.awt">isDoubleBuffered</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isEnabled()" title="class or interface in java.awt">isEnabled</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isFocusable()" title="class or interface in java.awt">isFocusable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isFocusCycleRoot(java.awt.Container)" title="class or interface in java.awt">isFocusCycleRoot</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isFocusOwner()" title="class or interface in java.awt">isFocusOwner</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isFocusTraversable()" title="class or interface in java.awt">isFocusTraversable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isFontSet()" title="class or interface in java.awt">isFontSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isForegroundSet()" title="class or interface in java.awt">isForegroundSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isLightweight()" title="class or interface in java.awt">isLightweight</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isMaximumSizeSet()" title="class or interface in java.awt">isMaximumSizeSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isMinimumSizeSet()" title="class or interface in java.awt">isMinimumSizeSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isOpaque()" title="class or interface in java.awt">isOpaque</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isPreferredSizeSet()" title="class or interface in java.awt">isPreferredSizeSet</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isShowing()" title="class or interface in java.awt">isShowing</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isValid()" title="class or interface in java.awt">isValid</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#isVisible()" title="class or interface in java.awt">isVisible</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#keyDown(java.awt.Event, int)" title="class or interface in java.awt">keyDown</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#keyUp(java.awt.Event, int)" title="class or interface in java.awt">keyUp</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#layout()" title="class or interface in java.awt">layout</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#list()" title="class or interface in java.awt">list</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#list(java.io.PrintStream)" title="class or interface in java.awt">list</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#list(java.io.PrintStream, int)" title="class or interface in java.awt">list</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#list(java.io.PrintWriter)" title="class or interface in java.awt">list</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#list(java.io.PrintWriter, int)" title="class or interface in java.awt">list</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#locate(int, int)" title="class or interface in java.awt">locate</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#location()" title="class or interface in java.awt">location</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#lostFocus(java.awt.Event, java.lang.Object)" title="class or interface in java.awt">lostFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#minimumSize()" title="class or interface in java.awt">minimumSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#mouseDown(java.awt.Event, int, int)" title="class or interface in java.awt">mouseDown</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#mouseDrag(java.awt.Event, int, int)" title="class or interface in java.awt">mouseDrag</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#mouseEnter(java.awt.Event, int, int)" title="class or interface in java.awt">mouseEnter</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#mouseExit(java.awt.Event, int, int)" title="class or interface in java.awt">mouseExit</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#mouseMove(java.awt.Event, int, int)" title="class or interface in java.awt">mouseMove</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#mouseUp(java.awt.Event, int, int)" title="class or interface in java.awt">mouseUp</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#move(int, int)" title="class or interface in java.awt">move</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#nextFocus()" title="class or interface in java.awt">nextFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#paintAll(java.awt.Graphics)" title="class or interface in java.awt">paintAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#paramString()" title="class or interface in java.awt">paramString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#postEvent(java.awt.Event)" title="class or interface in java.awt">postEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#preferredSize()" title="class or interface in java.awt">preferredSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#prepareImage(java.awt.Image, java.awt.image.ImageObserver)" title="class or interface in java.awt">prepareImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#prepareImage(java.awt.Image, int, int, java.awt.image.ImageObserver)" title="class or interface in java.awt">prepareImage</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#print(java.awt.Graphics)" title="class or interface in java.awt">print</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#printAll(java.awt.Graphics)" title="class or interface in java.awt">printAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processComponentEvent(java.awt.event.ComponentEvent)" title="class or interface in java.awt">processComponentEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processEvent(java.awt.AWTEvent)" title="class or interface in java.awt">processEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processFocusEvent(java.awt.event.FocusEvent)" title="class or interface in java.awt">processFocusEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processHierarchyBoundsEvent(java.awt.event.HierarchyEvent)" title="class or interface in java.awt">processHierarchyBoundsEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processHierarchyEvent(java.awt.event.HierarchyEvent)" title="class or interface in java.awt">processHierarchyEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processInputMethodEvent(java.awt.event.InputMethodEvent)" title="class or interface in java.awt">processInputMethodEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processKeyEvent(java.awt.event.KeyEvent)" title="class or interface in java.awt">processKeyEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processMouseEvent(java.awt.event.MouseEvent)" title="class or interface in java.awt">processMouseEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processMouseMotionEvent(java.awt.event.MouseEvent)" title="class or interface in java.awt">processMouseMotionEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#processMouseWheelEvent(java.awt.event.MouseWheelEvent)" title="class or interface in java.awt">processMouseWheelEvent</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#remove(java.awt.MenuComponent)" title="class or interface in java.awt">remove</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeComponentListener(java.awt.event.ComponentListener)" title="class or interface in java.awt">removeComponentListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeFocusListener(java.awt.event.FocusListener)" title="class or interface in java.awt">removeFocusListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeHierarchyBoundsListener(java.awt.event.HierarchyBoundsListener)" title="class or interface in java.awt">removeHierarchyBoundsListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeHierarchyListener(java.awt.event.HierarchyListener)" title="class or interface in java.awt">removeHierarchyListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeInputMethodListener(java.awt.event.InputMethodListener)" title="class or interface in java.awt">removeInputMethodListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeKeyListener(java.awt.event.KeyListener)" title="class or interface in java.awt">removeKeyListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeMouseListener(java.awt.event.MouseListener)" title="class or interface in java.awt">removeMouseListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeMouseMotionListener(java.awt.event.MouseMotionListener)" title="class or interface in java.awt">removeMouseMotionListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeMouseWheelListener(java.awt.event.MouseWheelListener)" title="class or interface in java.awt">removeMouseWheelListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removeNotify()" title="class or interface in java.awt">removeNotify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removePropertyChangeListener(java.beans.PropertyChangeListener)" title="class or interface in java.awt">removePropertyChangeListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#removePropertyChangeListener(java.lang.String, java.beans.PropertyChangeListener)" title="class or interface in java.awt">removePropertyChangeListener</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#repaint()" title="class or interface in java.awt">repaint</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#repaint(int, int, int, int)" title="class or interface in java.awt">repaint</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#repaint(long)" title="class or interface in java.awt">repaint</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#repaint(long, int, int, int, int)" title="class or interface in java.awt">repaint</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#requestFocus()" title="class or interface in java.awt">requestFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#requestFocus(boolean)" title="class or interface in java.awt">requestFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#requestFocusInWindow()" title="class or interface in java.awt">requestFocusInWindow</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#requestFocusInWindow(boolean)" title="class or interface in java.awt">requestFocusInWindow</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#reshape(int, int, int, int)" title="class or interface in java.awt">reshape</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#resize(java.awt.Dimension)" title="class or interface in java.awt">resize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#resize(int, int)" title="class or interface in java.awt">resize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setBackground(java.awt.Color)" title="class or interface in java.awt">setBackground</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setBounds(int, int, int, int)" title="class or interface in java.awt">setBounds</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setBounds(java.awt.Rectangle)" title="class or interface in java.awt">setBounds</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setComponentOrientation(java.awt.ComponentOrientation)" title="class or interface in java.awt">setComponentOrientation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setCursor(java.awt.Cursor)" title="class or interface in java.awt">setCursor</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setDropTarget(java.awt.dnd.DropTarget)" title="class or interface in java.awt">setDropTarget</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setEnabled(boolean)" title="class or interface in java.awt">setEnabled</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setFocusable(boolean)" title="class or interface in java.awt">setFocusable</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setFocusTraversalKeys(int, java.util.Set)" title="class or interface in java.awt">setFocusTraversalKeys</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setFocusTraversalKeysEnabled(boolean)" title="class or interface in java.awt">setFocusTraversalKeysEnabled</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setFont(java.awt.Font)" title="class or interface in java.awt">setFont</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setForeground(java.awt.Color)" title="class or interface in java.awt">setForeground</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setIgnoreRepaint(boolean)" title="class or interface in java.awt">setIgnoreRepaint</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setLocale(java.util.Locale)" title="class or interface in java.awt">setLocale</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setLocation(int, int)" title="class or interface in java.awt">setLocation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setLocation(java.awt.Point)" title="class or interface in java.awt">setLocation</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setMaximumSize(java.awt.Dimension)" title="class or interface in java.awt">setMaximumSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setMinimumSize(java.awt.Dimension)" title="class or interface in java.awt">setMinimumSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setName(java.lang.String)" title="class or interface in java.awt">setName</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setPreferredSize(java.awt.Dimension)" title="class or interface in java.awt">setPreferredSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setSize(int, int)" title="class or interface in java.awt">setSize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setVisible(boolean)" title="class or interface in java.awt">setVisible</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#show()" title="class or interface in java.awt">show</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#show(boolean)" title="class or interface in java.awt">show</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#size()" title="class or interface in java.awt">size</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#toString()" title="class or interface in java.awt">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#transferFocus()" title="class or interface in java.awt">transferFocus</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#transferFocusBackward()" title="class or interface in java.awt">transferFocusBackward</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#transferFocusUpCycle()" title="class or interface in java.awt">transferFocusUpCycle</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#validate()" title="class or interface in java.awt">validate</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NO_SHADE"><!-- --></A><H3>
NO_SHADE</H3>
<PRE>
public static final int <B>NO_SHADE</B></PRE>
<DL>
<DD>Highlighting used for a pin.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#gui.chess.trid.PinView.NO_SHADE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SELECTED_SHADE"><!-- --></A><H3>
SELECTED_SHADE</H3>
<PRE>
public static final int <B>SELECTED_SHADE</B></PRE>
<DL>
<DD>Highlighting used for a pin.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#gui.chess.trid.PinView.SELECTED_SHADE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ALLOWED_SHADE"><!-- --></A><H3>
ALLOWED_SHADE</H3>
<PRE>
public static final int <B>ALLOWED_SHADE</B></PRE>
<DL>
<DD>Highlighting used for a pin.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#gui.chess.trid.PinView.ALLOWED_SHADE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="FORBIDDEN_SHADE"><!-- --></A><H3>
FORBIDDEN_SHADE</H3>
<PRE>
public static final int <B>FORBIDDEN_SHADE</B></PRE>
<DL>
<DD>Highlighting used for a pin.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#gui.chess.trid.PinView.FORBIDDEN_SHADE">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ui"><!-- --></A><H3>
ui</H3>
<PRE>
protected <A HREF="../../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A> <B>ui</B></PRE>
<DL>
<DD>Reference to the user interface configuration.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="b"><!-- --></A><H3>
b</H3>
<PRE>
protected int[] <B>b</B></PRE>
<DL>
<DD>The pin's position on the board.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="g"><!-- --></A><H3>
g</H3>
<PRE>
protected <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A> <B>g</B></PRE>
<DL>
<DD>The pin's position on the screen grid.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="ref"><!-- --></A><H3>
ref</H3>
<PRE>
protected <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A> <B>ref</B></PRE>
<DL>
<DD>The board's position on the screen.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="screenX"><!-- --></A><H3>
screenX</H3>
<PRE>
protected int <B>screenX</B></PRE>
<DL>
<DD>The board's x position on the screen.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="screenY"><!-- --></A><H3>
screenY</H3>
<PRE>
protected int <B>screenY</B></PRE>
<DL>
<DD>The board's y position on the screen.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="shade"><!-- --></A><H3>
shade</H3>
<PRE>
protected int <B>shade</B></PRE>
<DL>
<DD>The highlight type currently set.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="isGhost"><!-- --></A><H3>
isGhost</H3>
<PRE>
protected boolean <B>isGhost</B></PRE>
<DL>
<DD>Flag if a pin is active or not.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="PinView(int[], java.awt.Point, java.awt.Point)"><!-- --></A><H3>
PinView</H3>
<PRE>
public <B>PinView</B>(int[]&nbsp;posB,
               <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;posG,
               <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;ref)</PRE>
<DL>
<DD>Construction of a permanently visible pin with position. The position is
 not screen position, but indices of the field grid.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>posB</CODE> - position on the board<DD><CODE>posG</CODE> - position on the grid<DD><CODE>ref</CODE> - top left coordinate of chess board on graphics device.</DL>
</DL>
<HR>

<A NAME="PinView(int[], java.awt.Point, java.awt.Point, boolean)"><!-- --></A><H3>
PinView</H3>
<PRE>
public <B>PinView</B>(int[]&nbsp;posB,
               <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;posG,
               <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;ref,
               boolean&nbsp;ghost)</PRE>
<DL>
<DD>Construction of pin with position. The position is not screen position,
 but indices of the field grid. If ghost is true, the pin will be invisible
 as long as its shade is NO_SHADE. Ghost pins are no real pins, but serve
 visualization purposes.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>posB</CODE> - position on the board<DD><CODE>posG</CODE> - position on the grid<DD><CODE>ref</CODE> - top left coordinate of chess board on graphics device.<DD><CODE>ghost</CODE> - true, if pin is without fields.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="setBoardPos(int[])"><!-- --></A><H3>
setBoardPos</H3>
<PRE>
public void <B>setBoardPos</B>(int[]&nbsp;pos)</PRE>
<DL>
<DD>Sets a new position of the pin. This may happen, if attack boards changed
 location on a Tri-D chess board.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getBoardPos()"><!-- --></A><H3>
getBoardPos</H3>
<PRE>
public int[] <B>getBoardPos</B>()</PRE>
<DL>
<DD>Returns the pin's board position.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setGridPos(java.awt.Point)"><!-- --></A><H3>
setGridPos</H3>
<PRE>
public void <B>setGridPos</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;pos)</PRE>
<DL>
<DD>Sets a new position of the pin. This may happen, if attack boards changed
 location on a Tri-D chess board.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getGridPos()"><!-- --></A><H3>
getGridPos</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A> <B>getGridPos</B>()</PRE>
<DL>
<DD>Returns the pin's grid position.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setRefPos(java.awt.Point)"><!-- --></A><H3>
setRefPos</H3>
<PRE>
public void <B>setRefPos</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;ref)</PRE>
<DL>
<DD>Sets a new position of the board on graphics device.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getRefPos()"><!-- --></A><H3>
getRefPos</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A> <B>getRefPos</B>()</PRE>
<DL>
<DD>Returns the board's screen position.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setUi(gui.chess.ChessUi)"><!-- --></A><H3>
setUi</H3>
<PRE>
public void <B>setUi</B>(<A HREF="../../../gui/chess/ChessUi.html" title="class in gui.chess">ChessUi</A>&nbsp;ui)</PRE>
<DL>
<DD>Sets the ChessUi class for providing the current color scheme.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ui</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="getShade()"><!-- --></A><H3>
getShade</H3>
<PRE>
public int <B>getShade</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>shade</DL>
</DD>
</DL>
<HR>

<A NAME="setShade(int)"><!-- --></A><H3>
setShade</H3>
<PRE>
public void <B>setShade</B>(int&nbsp;shade)</PRE>
<DL>
<DD>Sets the current highlight type.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>shade</CODE> - </DL>
</DD>
</DL>
<HR>

<A NAME="isGhost()"><!-- --></A><H3>
isGhost</H3>
<PRE>
public boolean <B>isGhost</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>isGhost</DL>
</DD>
</DL>
<HR>

<A NAME="setGhost(boolean)"><!-- --></A><H3>
setGhost</H3>
<PRE>
public void <B>setGhost</B>(boolean&nbsp;isGhost)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>isGhost</CODE> - boolean</DL>
</DD>
</DL>
<HR>

<A NAME="calculateScreenPos()"><!-- --></A><H3>
calculateScreenPos</H3>
<PRE>
protected void <B>calculateScreenPos</B>()</PRE>
<DL>
<DD>Calculates new position on the paint device for paint method's Graphics
 object. Called after setting new reference or grid position.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getScreenX()"><!-- --></A><H3>
getScreenX</H3>
<PRE>
public int <B>getScreenX</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>screenX</DL>
</DD>
</DL>
<HR>

<A NAME="getScreenY()"><!-- --></A><H3>
getScreenY</H3>
<PRE>
public int <B>getScreenY</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>screenY</DL>
</DD>
</DL>
<HR>

<A NAME="setSize(java.awt.Dimension)"><!-- --></A><H3>
setSize</H3>
<PRE>
public void <B>setSize</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Dimension.html?is-external=true" title="class or interface in java.awt">Dimension</A>&nbsp;d)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#setSize(java.awt.Dimension)" title="class or interface in java.awt">setSize</A></CODE> in class <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true" title="class or interface in java.awt">Component</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.awt.Point)"><!-- --></A><H3>
contains</H3>
<PRE>
public boolean <B>contains</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;p)</PRE>
<DL>
<DD>Works only on none ghost pins.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true#contains(java.awt.Point)" title="class or interface in java.awt">contains</A></CODE> in class <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Component.html?is-external=true" title="class or interface in java.awt">Component</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="containsForAll(java.awt.Point)"><!-- --></A><H3>
containsForAll</H3>
<PRE>
public boolean <B>containsForAll</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Point.html?is-external=true" title="class or interface in java.awt">Point</A>&nbsp;p)</PRE>
<DL>
<DD>Does also work for ghost pins.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>p</CODE> - Point
<DT><B>Returns:</B><DD>true, if Point is part of the pin</DL>
</DD>
</DL>
<HR>

<A NAME="paint(java.awt.Graphics)"><!-- --></A><H3>
paint</H3>
<PRE>
public void <B>paint</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Graphics.html?is-external=true" title="class or interface in java.awt">Graphics</A>&nbsp;g)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true#paint(java.awt.Graphics)" title="class or interface in java.awt">paint</A></CODE> in class <CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Canvas.html?is-external=true" title="class or interface in java.awt">Canvas</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PinView.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../gui/chess/trid/HelpScreen.html" title="class in gui.chess.trid"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../gui/chess/trid/TriDBoardView.html" title="class in gui.chess.trid"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?gui/chess/trid/PinView.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PinView.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_java.awt.Canvas">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
